# Bootstrap 4 RTL
- Latest dist.: [Version 4.3.1 (Official) + RTL 4.3.1 rev. 13 (Unofficial)](http://bootstrapper.ir/archive/bootstrap-4.3.1-plus-rtl-rev.13-dist.zip)
- Visit [full documentaions](http://docs.bootstrapper.ir/) in RTL direction. (English docs)
- Visit [example pages](http://example.bootstrapper.ir/) in RTL direction.

## RTL Hints:
  - Use this package like official package.
  - Use `<html ... dir="rtl" ... >` for correct PRINT layout and also, because of MS IE/EDGE layout engine RTL capabilities.
  - Use UTF-8 encoding.
  - Always follow XHTML rules.
  
## In case of adapting/converting Bootstrap 4 templates:
  - Replace all official `bootstrap.css` references by `bootstrap-rtl.css` in all HTML files.
  - Inside every HTML file, find these direction specific CSS class names and change them:
    - `border-left` to `border-right` and vice versa.
    - `border-left-0` to `border-right-0` and vice versa.
    - `rounded-left` to `rounded-right` and vice versa.
    - `float-left` to `float-right` and vice versa.
    - `ml-*` to `mr-*` and vice versa.
    - `pl-*` to `pr-*` and vice versa.
    - `text-left` to `text-right` and vice versa.
    - `text-*-left` to `text-*-right` and vice versa.
    - `dropleft` to `dropright` and vice versa.
    - `dropdown-menu-left` to `dropdown-menu-right` and vice versa.
    - `dropdown-menu-*-left` to `dropdown-menu-*-right` and vice versa.
  - Also, to correct **Popovers** / **Tooltips** direction, change all `data-placement="left"` to `data-placement="right"` and vice versa.
  - After that, use [RTLCSS](https://rtlcss.com/playground/) to adapt / convert all customized css codes to RTL edition.